## ros-genpy 0.5.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(genpy)
find_package(catkin REQUIRED COMPONENTS genmsg)

catkin_package(
  CATKIN_DEPENDS genmsg
  CFG_EXTRAS genpy-extras.cmake
)

add_subdirectory(scripts)

file(WRITE ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/genpy "Python")
install(FILES ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/genpy
  DESTINATION ${GENMSG_LANGS_DESTINATION})

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/genpy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/genpy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/genpy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/genpy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ros-genpy (0.5.7-6) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 16 Feb 2016 10:30:01 +0100

ros-genpy (0.5.7-5) unstable; urgency=medium

  * Fix Descrition.
    Thanks to Daniele Forsi (Closes: #812640)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 25 Jan 2016 20:16:47 +0100

ros-genpy (0.5.7-4) unstable; urgency=medium

  * Add patch for reproducible build.
    Thanks to Chris Lamb for the patch (Closes: #808032)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 26 Dec 2015 14:14:09 +0100

ros-genpy (0.5.7-3) unstable; urgency=medium

  * Convert to new catkin with multiarch

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 24 Nov 2015 18:42:28 +0100

ros-genpy (0.5.7-2) unstable; urgency=medium

  * install pkg-config file for rosmake

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 17 Nov 2015 10:15:36 +0100

ros-genpy (0.5.7-1) unstable; urgency=medium

  * Initial release (Closes: #804930)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 16 Nov 2015 03:16:48 +0000

=== debian/control ===
Source: ros-genpy
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
#python-yaml needed for tests only
Build-Depends: debhelper (>= 9), cmake, catkin (>= 0.6.16-4), python-genmsg, python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python, python-yaml
Standards-Version: 3.9.6
Homepage: http://wiki.ros.org/genpy
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-genpy.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-genpy.git
X-Python-Version: >= 2.7

Package: python-genpy
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genmsg
Description: Python Robot OS message and service generators
 This package is part of Robot OS (ROS). genpy is a python program
 that generates ROS messages and service code for Python. It lets you
 generate the code for your program from plain text files.

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/genpy-$1\.tar\.gz/ \
  https://github.com/ros/genpy/releases .*/v?(\d\S*)\.tar\.gz

## ros-genpy 0.6.0

=== debian/changelog ===
ros-genpy (0.6.0-1) unstable; urgency=medium

  * Imported Upstream version 0.6.0
  * Remove Make-generated-__init__.py-files-reproduducible.patch, has been applied upstream

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 11:15:44 +0200

## ros-genpy 0.6.3

=== debian/changelog ===
ros-genpy (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 09:08:29 +0100

ros-genpy (0.6.2-1) unstable; urgency=medium

  * Simplify rules
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * Remove lintian override, fixed in lintian 2.5.47
  * New upstream version 0.6.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Sep 2016 18:11:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 #python-yaml needed for tests only
 Build-Depends: debhelper (>= 9), cmake, catkin (>= 0.6.16-4), python-genmsg, python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python, python-yaml
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://wiki.ros.org/genpy
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-genpy.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-genpy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genpy.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genpy.git
 X-Python-Version: >= 2.7
 
 Package: python-genpy

## ros-genpy 0.6.6

=== debian/changelog ===
ros-genpy (0.6.6-2) unstable; urgency=medium

  * Add python-yaml dependency (Closes: #871042)
  * Fix typo

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 09 Aug 2017 22:43:19 +0200

ros-genpy (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6
  * Remove comment

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 02 Aug 2017 16:47:39 +0200

ros-genpy (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Update policy, dephelper and dependencies
  * Update watch file
  * Remove parallel (Default for debhelper 10)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 06 Jul 2017 21:24:33 +0200

=== debian/control ===
Source: ros-genpy
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 10), cmake, catkin, python-genmsg, python-setuptools, python-all (>= 2.6.6-3), dh-python, python-yaml
Standards-Version: 4.0.0
Homepage: http://wiki.ros.org/genpy
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genpy.git
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genpy.git
X-Python-Version: >= 2.7

Package: python-genpy
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genmsg, python-yaml
Description: Python Robot OS message and service generators
 This package is part of Robot OS (ROS). genpy is a Python program
 that generates ROS messages and service code for Python. It lets you
 generate the code for your program from plain text files.

## ros-genpy 0.6.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,5 +16,14 @@
 catkin_python_setup()
 
 if(CATKIN_ENABLE_TESTING)
-  catkin_add_nosetests(test)
+  assert(CATKIN_ENV)
+  add_custom_target(generate_test_messages
+    COMMAND
+    "${CATKIN_ENV}" "${PYTHON_EXECUTABLE}"
+    "${CMAKE_CURRENT_SOURCE_DIR}/test/msg/generate_test_messages.py")
+  if(TARGET tests)
+    add_dependencies(tests generate_test_messages)
+  endif()
+
+  catkin_add_nosetests(test DEPENDENCIES generate_test_messages)
 endif()

=== debian/changelog ===
ros-genpy (0.6.7-1) unstable; urgency=medium

  * New upstream version 0.6.7
  * Remove patch, merged upstream
  * Update standards version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Oct 2017 10:11:43 +0200

ros-genpy (0.6.6-3) unstable; urgency=medium

  * Add patch for Hurd (Closes: #876745)
  * new standards version (no changes needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Sep 2017 10:37:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 10), cmake, catkin, python-genmsg, python-setuptools, python-all (>= 2.6.6-3), dh-python, python-yaml
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://wiki.ros.org/genpy
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genpy.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genpy.git

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh  $@ --buildsystem=cmake --with python2

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_clean:
	dh_auto_clean --
	find . -name '*.pyc' -print0 | xargs -0 rm -f

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-genpy-$1.tar.gz%" \
    https://github.com/ros/genpy/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-genpy 0.6.8

=== debian/changelog ===
ros-genpy (0.6.8-2) unstable; urgency=medium

  * Fix install file

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 31 Jul 2019 21:57:43 +0200

ros-genpy (0.6.8-1) unstable; urgency=medium

  * Simplify d/rules
  * New upstream version 0.6.8
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 31 Jul 2019 20:18:22 +0200

ros-genpy (0.6.7-3) unstable; urgency=medium

  * Move pkgconfig to share

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 18:59:20 +0200

ros-genpy (0.6.7-2) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Move cleanup to d/clean
  * Add R³
  * http -> https
  * Update copyright
  * Add Python 3 package
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 06 May 2018 15:06:28 +0200

=== debian/control ===
Source: ros-genpy
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), cmake, catkin, python-genmsg, python-setuptools, python-all, dh-python, python-yaml, python3-all
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/genpy
Vcs-Browser: https://salsa.debian.org/science-team/ros-genpy
Vcs-Git: https://salsa.debian.org/science-team/ros-genpy.git

Package: python-genpy
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genmsg, python-yaml
Description: Python 2 Robot OS message and service generators
 This package is part of Robot OS (ROS). genpy is a Python program
 that generates ROS messages and service code for Python. It lets you
 generate the code for your program from plain text files.
 .
 This package contains the Python 2 module.

Package: python3-genpy
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genmsg, python3-yaml
Description: Python 3 Robot OS message and service generators
 This package is part of Robot OS (ROS). genpy is a Python program
 that generates ROS messages and service code for Python. It lets you
 generate the code for your program from plain text files.
 .
 This package contains the Python 3 module.

## ros-genpy 0.6.9

=== debian/changelog ===
ros-genpy (0.6.9-4) unstable; urgency=medium

  * Add patch to make generated imports reproducible

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Nov 2019 20:52:25 +0100

ros-genpy (0.6.9-3) unstable; urgency=medium

  * Add reproducible builds patch.
    Thanks to Chris Lamb (Closes: #943694)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 02 Nov 2019 17:27:38 +0100

ros-genpy (0.6.9-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938378)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:20:08 +0200

ros-genpy (0.6.9-1) unstable; urgency=medium

  * New upstream version 0.6.9
  * Bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Oct 2019 20:59:36 +0200

=== debian/control ===
Source: ros-genpy
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), cmake, catkin, python3-genmsg, python3-setuptools, python3-all, dh-python, python3-yaml
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/genpy
Vcs-Browser: https://salsa.debian.org/science-team/ros-genpy
Vcs-Git: https://salsa.debian.org/science-team/ros-genpy.git

Package: python3-genpy
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genmsg, python3-yaml
Breaks: python-genpy (<< 0.6.9-2)
Replaces: python-genpy (<< 0.6.9-2)
Description: Python 3 Robot OS message and service generators
 This package is part of Robot OS (ROS). genpy is a Python program
 that generates ROS messages and service code for Python. It lets you
 generate the code for your program from plain text files.
 .
 This package contains the Python 3 module.

## ros-genpy 0.6.14

=== debian/changelog ===
ros-genpy (0.6.14-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 12:00:21 +0100

ros-genpy (0.6.14-1) unstable; urgency=medium

  * New upstream version 0.6.14

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 13 Aug 2020 21:03:43 +0200

ros-genpy (0.6.13-1) unstable; urgency=medium

  * New upstream version 0.6.13

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Jul 2020 10:08:27 +0200

ros-genpy (0.6.12-1) unstable; urgency=medium

  * New upstream version 0.6.12
  * Remove Thomas from Uploaders, thanks for working on this
  * Drop upstreamed patches
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 13:51:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), cmake, catkin, python3-genmsg, python3-setuptools, python3-all, dh-python, python3-yaml
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), cmake, catkin, python3-genmsg, python3-setuptools, python3-all, dh-sequence-python3, python3-yaml
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/genpy
 Vcs-Browser: https://salsa.debian.org/science-team/ros-genpy

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-genpy-$1.tar.gz%" \
    https://github.com/ros/genpy/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-genpy 0.6.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(genpy)
 find_package(catkin REQUIRED COMPONENTS genmsg)

=== scripts/CMakeLists.txt ===
catkin_install_python(
  PROGRAMS genmsg_py.py gensrv_py.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-genpy (0.6.16-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 21:45:32 +0200

ros-genpy (0.6.16-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop old Breaks/Replaces

  [ Timo Röhling ]
  * Add README for message rebuilds
  * Fix deprecated yaml.load()
  * Add myself to uploaders
  * Bump Standards-Version to 4.6.1
  * Use Github API in debian/watch

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Oct 2022 16:00:28 +0200

ros-genpy (0.6.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.16

 -- Timo Röhling <roehling@debian.org>  Fri, 03 Sep 2021 18:31:42 +0200

=== debian/control ===
Source: ros-genpy
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin,
 cmake,
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 python3-all,
 python3-genmsg,
 python3-setuptools,
 python3-yaml,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/genpy
Vcs-Browser: https://salsa.debian.org/science-team/ros-genpy
Vcs-Git: https://salsa.debian.org/science-team/ros-genpy.git

Package: python3-genpy
Architecture: all
Depends:
 python3-genmsg,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python 3 Robot OS message and service generators
 This package is part of Robot OS (ROS). genpy is a Python program
 that generates ROS messages and service code for Python. It lets you
 generate the code for your program from plain text files.
 .
 This package contains the Python 3 module.

## ros-genpy 0.6.18

=== debian/changelog ===
ros-genpy (0.6.18-2) unstable; urgency=medium

  * Bump cmake_minimum_required() (Closes: #1113475)

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Sep 2025 17:34:05 +0200

ros-genpy (0.6.18-1) unstable; urgency=medium

  * New upstream version 0.6.18
  * Update patches.
    Merged: 0002-Fix-deprecated-yaml.load.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Aug 2025 09:59:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
- catkin,
- cmake,
  debhelper-compat (= 13),
  dh-ros,
  dh-sequence-python3,
+ catkin,
+ cmake,
  python3-all,
  python3-genmsg,
  python3-setuptools,
  python3-yaml,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/genpy
 Vcs-Browser: https://salsa.debian.org/science-team/ros-genpy

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz% \
 https://api.github.com/repos/ros/genpy/tags \
 tarball/(?:[^"]*?/)?v?@ANY_VERSION@
